

set -ex



test -f $PREFIX/lib/libOpenMM$SHLIB_EXT
test -f $PREFIX/lib/plugins/libOpenMMCPU$SHLIB_EXT
test -f $PREFIX/lib/plugins/libOpenMMPME$SHLIB_EXT
test -f $PREFIX/lib/plugins/libOpenMMOpenCL$SHLIB_EXT
python -c "import simtk.openmm as mm; print('---Loaded---', *mm.pluginLoadedLibNames, '---Failed---', *mm.Platform.getPluginLoadFailures(), sep='\n')"
python -c "import os, simtk.openmm.version as v; print(v.openmm_library_path); assert os.path.isdir(v.openmm_library_path), 'Directory does not exist'"
python -m simtk.testInstallation
python -c "from simtk.openmm import Platform as P; n = P.getNumPlatforms(); assert n == 3, f'n_platforms ({n}) != 3'"
cd ${CONDA_PREFIX}/share/openmm/examples
python benchmark.py --test=rf --seconds=10 --platform=Reference
python benchmark.py --test=rf --seconds=10 --platform=CPU
python -c "from simtk.openmm import Platform; v = Platform.getOpenMMVersion(); assert '7.5.0' in (v, v+'.0'), v + '!=7.5.0'"
python -c "from simtk.openmm.version import git_revision; r = git_revision; assert r == 'b49b82efb5a253a7c891ca084b3370e181de2ea3', r + '!=b49b82efb5a253a7c891ca084b3370e181de2ea3'"
exit 0
